2019-12-16 06:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006315Spring engineBuildbotpublic2019-10-06 12:10
Reporterabma 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version104.0 +git 
Summary0006315: validation test assert fails in PreGame.cpp:582: clientNet->GetDemoRecorder() == nullptr
Descriptionvalidation test failes, see https://buildbot.springrts.com/builders/validationtests/builds/6561/steps/validation%20test/logs/stdio
Additional Information
spring-headless: /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/Game/PreGame.cpp:582: void CPreGame::GameDataReceived(std::shared_ptr<const netcode::RawPacket>): Assertion `clientNet->GetDemoRecorder() == nullptr' failed.
[f=-000001] [CrashHandler] Error: Aborted in Spring 104.0.1-1954-g3687956 develop (Debug Signal-NaNs Headless)
[f=-000001] [CrashHandler] Error: Halted Stacktrace for Spring 104.0.1-1954-g3687956 develop (Debug Signal-NaNs Headless) (SIGABRT) using libunwind:
[f=-000001] [CrashHandler] Error: <00> ./rts/System/Platform/Linux/CrashHandler.cpp:907 CrashHandler::HaltedStacktrace(siginfo_t*, ucontext*, char const*)
[f=-000001] [CrashHandler] Error: [00] 0x10753b4 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/Platform/Linux/CrashHandler.cpp:907
[f=-000001] [CrashHandler] Error: <01> ./rts/System/Platform/Linux/CrashHandler.cpp:997 CrashHandler::HandleSignal(int, siginfo_t*, void*)
[f=-000001] [CrashHandler] Error: [01] 0x10759c0 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/Platform/Linux/CrashHandler.cpp:997
[f=-000001] [CrashHandler] Error: <02> /lib/x86_64-linux-gnu/libpthread.so.0(+0x110e0) [0x7f3381bfa0e0] __restore_rt
[f=-000001] [CrashHandler] Error: <02> 0x110e0 ??:?
[f=-000001] [CrashHandler] Error: <03> /lib/x86_64-linux-gnu/libc.so.6(gsignal+0xcf) [0x7f338187cfff] gsignal
[f=-000001] [CrashHandler] Error: [03] 0x32fff ??:?
[f=-000001] [CrashHandler] Error: <04> /lib/x86_64-linux-gnu/libc.so.6(abort+0x16a) [0x7f338187e42a] abort
[f=-000001] [CrashHandler] Error: [04] 0x3442a ??:?
[f=-000001] [CrashHandler] Error: <05> /lib/x86_64-linux-gnu/libc.so.6(+0x2be67) [0x7f3381875e67] uselocale
[f=-000001] [CrashHandler] Error: [05] 0x2be67 ??:?
[f=-000001] [CrashHandler] Error: <06> /lib/x86_64-linux-gnu/libc.so.6(+0x2bf12) [0x7f3381875f12] __assert_fail
[f=-000001] [CrashHandler] Error: [06] 0x2bf12 ??:?
[f=-000001] [CrashHandler] Error: <07> ./rts/Game/PreGame.cpp:584 CPreGame::GameDataReceived(std::shared_ptr<netcode::RawPacket const>)
[f=-000001] [CrashHandler] Error: [07] 0x832f8a /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/Game/PreGame.cpp:584
[f=-000001] [CrashHandler] Error: <08> ./rts/Game/PreGame.cpp:369 (discriminator 2) CPreGame::UpdateClientNet()
[f=-000001] [CrashHandler] Error: [08] 0x830073 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/Game/PreGame.cpp:369 (discriminator 2)
[f=-000001] [CrashHandler] Error: <09> ./rts/Game/PreGame.cpp:183 CPreGame::Update()
[f=-000001] [CrashHandler] Error: [09] 0x82ea83 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/Game/PreGame.cpp:183
[f=-000001] [CrashHandler] Error: <10> ./rts/System/SpringApp.cpp:769 (discriminator 2) SpringApp::Update()
[f=-000001] [CrashHandler] Error: [10] 0xf978ea /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/SpringApp.cpp:769 (discriminator 2)
[f=-000001] [CrashHandler] Error: <11> ./rts/System/SpringApp.cpp:808 SpringApp::Run()
[f=-000001] [CrashHandler] Error: [11] 0xf97c8a /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/SpringApp.cpp:808
[f=-000001] [CrashHandler] Error: <12> ./rts/System/Main.cpp:43 Run(int, char**)
[f=-000001] [CrashHandler] Error: [12] 0xf6b298 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/Main.cpp:43
[f=-000001] [CrashHandler] Error: <13> ./rts/System/Main.cpp:95 main
[f=-000001] [CrashHandler] Error: [13] 0xf6b342 /var/lib/buildbot/slaves/validation/zydox-fedora/build/rts/System/Main.cpp:95
[f=-000001] [CrashHandler] Error: <14> /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1) [0x7f338186a2e1] __libc_start_main
[f=-000001] [CrashHandler] Error: <14> 0x202e1 ??:?
[f=-000001] [CrashHandler] Error: <15> .../spring-headless(_start+0x2a) [0x563ba8bd12ba] _start
[f=-000001] [CrashHandler] Error: <15> 0x75a2ba ??:?
[f=-000001] Error: [ExitSpringProcess] errorMsg="/tmp/spring/tests/.config/spring/infolog.txt.
TagsNo tags attached.
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-10-05 16:44 abma New Issue
2019-10-06 12:10 Kloot Assigned To => Kloot
2019-10-06 12:10 Kloot Status new => resolved
2019-10-06 12:10 Kloot Resolution open => fixed
2019-10-06 12:10 Kloot Fixed in Version => 104.0 +git
+Issue History